--- CMakeLists.txt.orig
+++ CMakeLists.txt
@@ -1,5 +1,5 @@
 project(PlasmaShop)
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.6.2)
 
 find_package(HSPlasma REQUIRED)
 
@@ -11,8 +11,16 @@ add_subdirectory(QScintilla/Qt4)
 if(WIN32)
     add_definitions(-DPLAT_FONT="Courier New")
 else(WIN32)
-    add_definitions(-DPLAT_FONT="Monospace")
-    add_definitions(-DDATA_PATH="/usr/local/share/PlasmaShop")
+    if(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
+        if(CMAKE_SYSTEM_VERSION VERSION_LESS 10)
+            add_definitions(-DPLAT_FONT="Monaco")
+        else(CMAKE_SYSTEM_VERSION VERSION_LESS 10)
+            add_definitions(-DPLAT_FONT="Menlo")
+        endif(CMAKE_SYSTEM_VERSION VERSION_LESS 10)
+    else(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
+        add_definitions(-DPLAT_FONT="Monospace")
+    endif(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
+    add_definitions(-DDATA_PATH="@PREFIX@/share/PlasmaShop")
 endif(WIN32)
 
 # do this after QScintilla - it'd generate tons of warnings
